SQ(1)

NAME
sq key revoke - Revoke a certificate

SYNOPSIS
sq key revoke [OPTIONS] REASON MESSAGE

DESCRIPTION
Revokes a certificate.

Creates a revocation certificate for the certificate.

If `--revocation-file` is provided, then that key is used to create the signature. If that key is different from the certificate being revoked, this creates a third-party revocation. This is normally only useful if the owner of the certificate designated the key to be a designated revoker.

If `--revocation-file` is not provided, then the certificate must include a certification-capable key.

`sq key revoke` respects the reference time set by the top-level `--time` argument. When set, it uses the specified time instead of the current time, when determining what keys are valid, and it sets the revocation certificate's creation time to the reference time instead of the current time.

OPTIONS

  Subcommand options

-B, --binary
    Emits binary data

--certificate-file=FILE
    Reads the certificate to revoke from FILE or stdin, if omitted. It is an error for the file to contain more than one certificate.

--notation NAME VALUE
    Adds a notation to the certification. A user-defined notation's name must be of the form `name@a.domain.you.control.org`. If the notation's name starts with a `!`, then the notation is marked as being critical. If a consumer of a signature doesn't understand a critical notation, then it will ignore the signature. The notation is marked as being human readable.

-o, --output=FILE
    Writes to FILE or stdout if omitted

--private-key-store=KEY_STORE
    Provides parameters for private key store

--revocation-file=KEY_FILE
    Signs the revocation certificate using the key in KEY_FILE. If the key is different from the certificate, this creates a third-party revocation. If this option is not provided, and the certificate includes secret key material, then that key is used to sign the revocation certificate.

REASON
    The reason for the revocation. This must be either: `compromised`, `superseded`, `retired`, or `unspecified`:

      - `compromised` means that the secret key material may have been
        compromised. Prefer this value if you suspect that the secret
        key has been leaked.

      - `superseded` means that the owner of the certificate has replaced
        it with a new certificate. Prefer `compromised` if the secret
        key material has been compromised even if the certificate is also
        being replaced! You should include the fingerprint of the new
        certificate in the message.

      - `retired` means that this certificate should not be used anymore,
        and there is no replacement. This is appropriate when someone
        leaves an organisation. Prefer `compromised` if the secret key
        material has been compromised even if the certificate is also
        being retired! You should include how to contact the owner, or
        who to contact instead in the message.

      - `unspecified` means that none of the three other three reasons
        apply. OpenPGP implementations conservatively treat this type
        of revocation similar to a compromised key.

    If the reason happened in the past, you should specify that using the `--time` argument. This allows OpenPGP implementations to more accurately reason about objects whose validity depends on the validity of the certificate.

MESSAGE
    A short, explanatory text that is shown to a viewer of the revocation certificate. It explains why the certificate has been revoked. For instance, if Alice has created a new key, she would generate a `superseded` revocation certificate for her old key, and might include the message `I've created a new certificate, FINGERPRINT, please use that in the future.`

  Global options

--cert-store=PATH
    Specifies the location of the certificate store. By default, sq uses the OpenPGP certificate directory at `$HOME/.local/share/pgp.cert.d`, and creates it if it does not exist.

-f, --force
    Overwrites existing files

-h, --help
    Print help (see a summary with '-h')

--keyring=PATH
    Specifies the location of a keyring to use. Keyrings are used in addition to any certificate store. The content of the keyring is not imported into the certificate store. When a certificate is looked up, it is looked up in all keyrings and any certificate store, and the results are merged together.

--known-notation=NOTATION
    Adds NOTATION to the list of known notations. This is used when validating signatures. Signatures that have unknown notations with the critical bit set are considered invalid.

--no-cert-store
    Disables the use of a certificate store. Normally sq uses the user's standard cert-d, which is located in `$HOME/.local/share/pgp.cert.d`.

--output-format=FORMAT
    Produces output in FORMAT, if possible

--output-version=VERSION
    Produces output variant VERSION, such as 0.0.0. The default is the newest version. The output version is separate from the version of the sq program. To see the current supported versions, use output-versions subcommand.

--pep-cert-store=PATH
    Specifies the location of a pEp certificate store. sq does not use a pEp certificate store by default; it must be explicitly enabled using this argument or the corresponding environment variable, PEP_CERT_STORE. The pEp Engine's default certificate store is at `$HOME/.pEp/keys.db`.

--time=TIME
    Sets the reference time as an ISO 8601 formatted timestamp. Normally, commands use the current time as the reference time. This argument allows the user to use a difference reference time. For instance, when creating a key using `sq key generate`, the creation time is normally set to the current time, but can be overridden using this option. Similarly, when verifying a message, the message is verified with respect to the current time. This option allows the user to use a different time.

    TIME is interpreted as an ISO 8601 timestamp. To set the certification time to July 21, 2013 at midnight UTC, you can do:

    $ sq --time 20130721 verify msg.pgp

    To include a time, say 5:50 AM, add a T, the time and optionally the timezone (the default timezone is UTC):

    $ sq --time 20130721T0550+0200 verify msg.pgp

--trust-root=FINGERPRINT|KEYID
    Considers the specified certificate to be a trust root. Trust roots are used by trust models, e.g., the Web of Trust, to authenticate certificates and User IDs.

-v, --verbose
    Be more verbose.

SEE ALSO
sq(1), sq-key(1).

For the full documentation see <https://book.sequoia-pgp.org>.

VERSION
0.33.0 (sequoia-openpgp 1.17.0)